Skip to main content
GET
Get an action by ID

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Path Parameters

actionId
string<uuid>
required

Identifier of the resource in Payrails.

Query Parameters

includeEvents
boolean

Include events in the response.

includeStepEvents
boolean
default:false

Include internal workflow step events (for example executionActionStepStarted, executionConditionStepEvaluated) in the returned events. Excluded by default. Only applies when includeEvents is true.

Response

OK.

workflowExecutionId
string
required

Unique identifier of the Workflow Execution that this action belongs to.

workflowCode
string
required

Workflow code.

workspaceId
string<uuid>
required

Unique identifier of the Workspace that this action belongs to.

type
enum<string>
required

Value of Action Types enumeration.

Available options:
authorize,
capture,
cancel,
confirm,
crateInstrument,
fraudScore,
fraudUpdate,
lookup,
payout,
refund,
startPaymentSession
status
enum<string>
required

Value of Action Status enumeration.

Available options:
created,
failed,
success
id
string<uuid>

Unique identifier of the Action.

createdAt
string<date-time>

Date of creation of the Action.

updatedAt
string<date-time>

Last update of the Action.

errorCode
string

Error code of last failed execution event.

Last modified on October 7, 2026